;; - Hatches using ADDSELECTED command method, no more Hatch UI (EVER) to pick an existing HATCH.
;; - Automatically changes the HPASSOC variable to 1 then sets it back,
;; upon erroror exiting the command.
;; -First pick the HATCH you want then, select your LWPOLYLINES, CIRCLES or ELLIPSES to HATCH.
;; This routine is made to only select closed LWPOLYLINES. An easy way to identify them.
;; You can run a script called PSIMPLE to fix you entire drawing in one go. See here >>> http://www.theswamp.org/index.php?topic=19865.msg244786#msg244786
;; - If you want un-associative HATCH forsome reason change '(setvar 'hpassoc 1)' to '0'.
;; - Automatically selects the newly created HATCH/es.
;; - Sends draworder of HATCH behind selected objects.
;; Error functions: LeeMac Help pages. www.lee-mac.com.
;; ABOUT / NOTES
;; - Hatches using ADDSELECTED command method, no more Hatch UI (EVER) to pick an existing HATCH.
;; - Automatically changes the HPASSOC variable to 1 then sets it back,
;; upon erroror exiting the command.
;; -First pick the HATCH you want then, select your LWPOLYLINES, CIRCLES or ELLIPSES to HATCH.
;; This routine is made to only select closed LWPOLYLINES. An easy way to identify them.
;; You can run a script called PSIMPLE to fix you entire drawing in one go. See here >>> http://www.theswamp.org/index.php?topic=19865.msg244786#msg244786
;; - If you want un-associative HATCH forsome reason change '(setvar 'hpassoc 1)' to '0'.
;; - Automatically selects the newly created HATCH/es.
;; - Sends draworder of HATCH behind selected objects.
;; FUNCTION SYNTAX
;; Short-cut HOFF
;; Long-cut Hatch_Off
;; VERSION DATE INFO
;; Version 1.026-07-2018Initial release.
;; Version 1.0127-07-2018 var_hatch_bkgcolouradded toset the hatch background colour to none so that the addselected command doesn't use that instead of the original one picked.
;; TODO LIST
;; Change the polylines to the current boundary attributes of selected hatch boundary.
;; Put all of the annotative scales to the newly created hatch.
;; If a hatch exists on the selected polylines then delete them and hatch with new.
;; Check if it works in different UCS modes. (NOT SURE)
ent_1 (car (entsel "\nPlease select a HATCH to copy.\n: ------------------------------ :\n\nThen select any closed LWPOLYLINE's, CIRCLE's or ELLIPSE's.\n"))